# $Revision: 1.18 $, $Date: 2010/04/18 13:28:41 $
%include	/usr/lib/rpm/macros.java
Summary:	GNU JavaBeans(TM) Activation Framework (JAF)
Summary(pl.UTF-8):	Środowisko aktywacyjne JavaBeans(TM) (JAF) w wersji GNU
Name:		java-gnu-activation
Version:	1.1.1
Release:	7
License:	LGPL
Group:		Libraries/Java
Source0:	http://ftp.gnu.org/gnu/classpathx/activation-%{version}.tar.gz
# Source0-md5:	de50d7728e8140eb404f2b4554321f8c
Patch0:		%{name}-MimeType-symbols-fix.patch
URL:		http://www.gnu.org/software/classpathx/jaf/jaf.html
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Provides:	java(jaf) = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU JAF is a framework for declaring what beans operate on what MIME
type data. Content handler beans can be defined to handle particular
MIME content. The JAF unites Internet standards for declaring content
with JavaBeans(TM).

%description -l pl.UTF-8
GNU JAF to szkielet służący do deklarowania, na jakim typie danych
mają operować beans. Procedura obsługi beans może być zdefiniowana do
operowania na konkretnej zawartości MIME. JAF jednoczy standardy
internetowe do deklarowania zawartości przy użyciu JavaBeans(TM).

%package javadoc
Summary:	API documentation for GNU JAF
Summary(pl.UTF-8):	Dokumentacja API GNU JAF
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	java-gnu-activation-doc

%description javadoc
API documentation for GNU JavaBeans(TM) Activation Framework.

%description javadoc -l pl.UTF-8
Dokumentacja API GNU JavaBeans(TM) Activation Framework.

%prep
%setup -q -n activation-%{version}
%patch0 -p0

%build
%{__aclocal}
%{__autoconf}
%{__automake}
unset CLASSPATH || :
export JAVAC=%{javac}
%configure

%{__make}

export SHELL=/bin/sh
%{__make} javadoc

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_javadir}/{activation.jar,gnu-activation-%{version}.jar}
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/activation.jar
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaf-1.1.jar
ln -s gnu-activation-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jaf.jar

cp -a docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog source/javax/activation/*.html
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gnu-activation.spec,v $
Revision 1.18  2010/04/18 13:28:41  jajcus
- do not require gcj

Revision 1.17  2010/04/17 16:47:19  jajcus
- s/jaf/java(jaf)/

Revision 1.16  2009/02/09 13:26:24  pawelz
- rel 6

Revision 1.15  2009/02/07 21:23:58  pawelz
- export SHELL variable (needed for javadoc with gnu java)

Revision 1.14  2009/02/03 16:18:23  pawelz
- use java-gcj-compat-devel

Revision 1.13  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.12  2007/12/09 02:33:48  glen
- provide versioned jaf
- java package unify
- EA dropped
- rel 5

Revision 1.11  2007-12-03 10:56:25  hawk
- fixed undefined symbols, now it builds
- release 4

Revision 1.10  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.8  2006/12/08 01:13:56  glen
- -javadoc R: jpackage-utils for parent dirs; rel 3

Revision 1.7  2006/05/25 12:22:19  jajcus
- Release: 2
- jar location fixed

Revision 1.6  2006/05/25 11:40:30  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- doc subpackage renamed to javadoc
- versioned JAR, compatibility links

Revision 1.5  2006/05/23 06:29:06  qboosh
- capital

Revision 1.4  2006/05/23 06:28:03  qboosh
- pl

Revision 1.3  2006/05/21 11:08:17  radek
- ExclusiveArch: noarch (for ./builder)

Revision 1.2  2006/05/18 13:33:10  jajcus
- doc subpackage added
- ExclusiveArch and Buildarch added

Revision 1.1  2006/05/18 11:01:06  jajcus
- new spec: GNU JAF (Sun JAF license is too restricted)
